KinoSearch1::Store::FSInvIndex(3pm)

NAME
KinoSearch1::Store::FSInvIndex - file system InvIndex

SYNOPSIS
    my $invindex = KinoSearch1::Store::FSInvIndex->new(
        path   => '/path/to/invindex',
        create => 1,
    );

DESCRIPTION
Implementation of KinoSearch1::Store::InvIndex using a single file system directory and multiple files.

CONSTRUCTOR

  new
"new" takes two parameters:

•   path - the location of the invindex.

•   create - if set to 1, create a fresh invindex, clobbering an existing one if necessary. Default value is 0, indicating that an existing invindex should be opened.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.